Subject: Re: 2GB address space limit on 32-bit PowerPC Macintosh

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 17 May 2005 10:56:17 +1000

On Mon, 2005-05-16 at 11:00 -0700, Mark A. Greer wrote:
> Benjamin Herrenschmidt wrote:
> 
> >
> >series are by no mean stable. Embedded code has been rather frozen in
> >the rock, I don't think it's much to ask from the appropriate maintainer
> >to have a quick look at possibly upgrading their board support as well.
> >
> 
> Seems reasonable to me.
> 
> >And it isn't a difficult change for most 6xx/7xx/7xxx based boards
> >anyway.
> >
> 
>  From a quick grep, it looks like apus, gemini, k2, lopec, pplus, prep, 
> and prpmc800 are the offenders in the 6xx/7xx/74xx world.  Does anyone 
> even care about the lopec and k2 anymore?

Note that there is only a problem if those io_block_mapping calls are
done to map things in the virtual region between 2G and 3G. If they are
done to map things "high" (like 0xf*) they are still fine.

Ben.